<?php

class ControllerModulePriceFilter extends Controller {

    protected function index($setting) {
        if (isset($this->request->get['path'])) {
            $parts = explode('_', (string) $this->request->get['path']);
        } else {
            $parts = array();
        }

        $category_id = end($parts);

        $this->load->model('catalog/category');


        $category_info = $this->model_catalog_category->getCategory($category_id);

        if ($category_info) {
           
            $this->load->model('tool/price_filter');
            $this->language->load('module/price_filter');

            $this->data['heading_title'] = $this->language->get('heading_title');

            $this->data['button_action'] = $this->language->get('button_action');

            $url = '';

            if (isset($this->request->get['sort'])) {
                $url .= '&sort=' . $this->request->get['sort'];
            }

            if (isset($this->request->get['order'])) {
                $url .= '&order=' . $this->request->get['order'];
            }

            if (isset($this->request->get['limit'])) {
                $url .= '&limit=' . $this->request->get['limit'];
            }

            $this->data['action'] = str_replace('&amp;', '&', $this->url->link('product/category', 'path=' . $this->request->get['path'] . $url));



            $this->load->model('catalog/product');

            $this->data['price_filter_groups'] = array();

            $price_filter_data = $this->model_tool_price_filter->getPriceFilter($category_id);
           // print_r($price_filter_data);

            if ($price_filter_data) {

                $symbolR = $this->currency->getSymbolRight();
                $symbolL = $this->currency->getSymbolLeft();
                if ($symbolR != '' || $symbolL != '') {
                    if ($symbolR != "") {
                        $this->data['symbol'] = '$amount.html($slider.slider("values", 0) + \'' . $symbolR . ' - \' + $slider.slider("values", 1) + \'' . $symbolR . '\');';
                        $this->data['symbol_html'] = '$amount.html(ui.values[0] + \'' . $symbolR . ' - \' + ui.values[1] + \'' . $symbolR . '\');';
                    } else if ($symbolL != '') {
                        $this->data['symbol'] = '$amount.html(\'' . $symbolL . '\' +$slider.slider("values", 0) + \' - ' . $symbolL . '\' + $slider.slider("values", 1));';
                        $this->data['symbol_html'] = '$amount.html(\'' . $symbolL . '\' +ui.values[0] + \' - ' . $symbolL . '\' +ui.values[1]);';
                    }

                    if ($symbolR != "" && $symbolL != '') {
                        $this->data['symbol'] = '$amount.html(\'' . $symbolL . '\' +$slider.slider("values", 0) + \'' . $symbolR . ' - ' . $symbolL . '\' + $slider.slider("values", 1)+ \'' . $symbolR . '\');';
                        $this->data['symbol_html'] = '$amount.html(\'' . $symbolL . '\' +ui.values[0] + \'' . $symbolR . ' - ' . $symbolL . '\' +ui.values[1]+ \'' . $symbolR . '\');';
                    }
                } else {
                    $this->data['symbol'] = '';
                }
                if ($this->data['symbol'] == '') {
                    $this->data['formatprice'] = $this->currency->getSymbolRight();
                }
                $this->data['price_min'] = min($price_filter_data);
                $this->data['price_max'] = max($price_filter_data);

                if (isset($this->request->get['minprice'])) {
                    $this->data['price_minprice'] = $this->request->get['minprice'];
                } else {
                    $this->data['price_minprice'] = $this->data['price_min'];
                }

                if (isset($this->request->get['maxprice'])) {
                    $this->data['price_maxprice'] = $this->request->get['maxprice'];
                } else {
                    $this->data['price_maxprice'] = $this->data['price_max'];
                }

                if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/price_filter.tpl')) {
                    $this->template = $this->config->get('config_template') . '/template/module/price_filter.tpl';
                } else {
                    $this->template = 'default/template/module/price_filter.tpl';
                }
                $this->render();
            }
        }
    }

}

?>
